unit Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Buttons, iChii, Menus;

type
  TMainForm = class(TForm)
    Memo1: TMemo;
    MainMenu: TMainMenu;
    MenuFile: TMenuItem;
    MenuMisc: TMenuItem;
    MenuInfo: TMenuItem;
    MenuExit: TMenuItem;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure MenuExitClick(Sender: TObject);
    procedure MenuInfoClick(Sender: TObject);
  private
    procedure   MessageOut(AMsg: string);
  public
    ClickHere   : TClickHereItIs;
  end;

var
  MainForm: TMainForm;

implementation

{$R *.dfm}

uses
    Info;

(*
    ===========================================================================
    bZ[W\
    ===========================================================================
*)
procedure TMainForm.MessageOut(AMsg: string);
begin
    Memo1.Lines.Add(AMsg);
end;

(*
    ===========================================================================
    j[/I
    ===========================================================================
*)
procedure TMainForm.MenuExitClick(Sender: TObject);
begin
    Self.Close;
end;

(*
    ===========================================================================
    j[/
    ===========================================================================
*)
procedure TMainForm.MenuInfoClick(Sender: TObject);
begin
    OpenInfoForm();
end;

(*
    ===========================================================================
    tH[RXgN^
    ===========================================================================
*)
procedure TMainForm.FormCreate(Sender: TObject);
begin
    //  ʒu
    Self.Top := Screen.Height - Self.Height;
    Self.Left := Screen.Width - Self.Width;

    ClickHere := TClickHereItIs.Create();
    ClickHere.OnMessageOut := MessageOut;
    ClickHere.Start;
end;

(*
    ===========================================================================
    tH[fXgN^
    ===========================================================================
*)
procedure TMainForm.FormDestroy(Sender: TObject);
begin
    ClickHere.Stop;
    ClickHere.Free;
end;

end.

